%define version 1.10
%define release 4mdk

%define major	1
%define libname %mklibname cap

Name: 		libcap
Version: 	%{version}
Release: 	%{release}
Summary: 	Library for getting and setting POSIX.1e capabilities
Group: 		System/Kernel and hardware
License: 	BSD/GPL
URL: 		ftp://ftp.kernel.org/pub/linux/libs/security/linux-privs/kernel-2.4
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source:		%{name}-%{version}.tar.bz2
Patch0: 	libcap-1.10-ia64.patch.bz2
Patch1: 	libcap-1.10-userland.patch.bz2
Patch2: 	libcap-1.10-shared.patch.bz2

%description
%{name} is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

NOTE: The Mandrake kernel does not permit capabilities by default.

%package	utils
Summary:	Administration tools for POSIX.1e capabilities
Group:		System/Kernel and hardware
Requires:	%{libname}%{major} = %{version}-%{release}

%description	utils
%{name} is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

This package contains utilities to control these capabilities.

NOTE: The Mandrake kernel does not permit capabilities by default.

%package	-n %{libname}%{major}
Summary:	Library for getting and setting POSIX.1e capabilities
Group:		System/Kernel and hardware
Provides:	%{name} = %{version}-%{release}

%description	-n %{libname}%{major}
%{name} is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

NOTE: The Mandrake kernel does not permit capabilities by default.

%package	-n %{libname}%{major}-devel
Summary:	Development files for %{name}
Group:		Development/Kernel
Requires:	%{libname}%{major} = %{version}-%{release}
Provides:	%{name}-devel = %{version}

%description	-n %{libname}%{major}-devel
Development files (Headers, libraries for static linking, etc) for %{name}.

%{name} is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

Install %{name}-devel if you want to develop or compile applications supporting
Linux kernel capabilities.

%prep
%setup -q
%patch0 -p1 -b .ia64
%patch1 -p1 -b .userland
%patch2 -p1 -b .shared
perl -pi -e "s,^COPTFLAGS=.*,COPTFLAG=$RPM_OPT_FLAGS,g" Make.Rules
perl -pi -e 's,^man_prefix=.*,man_prefix=\$\(prefix)/share,g' Make.Rules

%build
make prefix=%{_prefix}

%install
rm -rf %{buildroot}
make install prefix=%{_prefix} LIBDIR=%{buildroot}/%{_lib} FAKEROOT=%{buildroot}

#mkdir %{buildroot}/%{_lib}
#mv %{buildroot}%{_libdir}/* %{buildroot}/%{_lib}/
#rm -rf %{buildroot}%{_libdir}

# conflics with man-pages
rm -f %{buildroot}%{_mandir}/man2/*

%post -n %{libname}%{major} -p /sbin/ldconfig
%postun -n %{libname}%{major} -p /sbin/ldconfig

%files utils
%defattr(-,root,root)
%doc CHANGELOG License README
%{_sbindir}/*

%files -n %{libname}%{major}
%defattr(-,root,root)
/%{_lib}/*.so.*

%files -n %{libname}%{major}-devel
%defattr(-,root,root)
%{_includedir}/*
/%{_lib}/*.so
%{_mandir}/man3/*

%clean
rm -rf %{buildroot}

%changelog
* Sat Jan 24 2004 Abel Cheung <deaddog@deaddog.org> 1.10-4mdk
- mklibname
- bzip2 patches
- spec fixes for 64bit

* Thu Mar 6 2003 Austin Acton <aacton@yorku.ca> 1.10-3mdk
- really fix conflicts

* Fri Feb 28 2003 Austin Acton <aacton@yorku.ca> 1.10-2mdk
- fix provides
- remove man pages that conflict with man-pages

* Mon Feb 10 2003 Austin Acton <aacton@yorku.ca> 1.10-1mdk
- initial release
- 'borrow' some patches from RedHat
